package org.jtheque.core.managers.view.impl.actions.author;

/*
 * This file is part of JTheque.
 *
 * JTheque is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License.
 *
 * JTheque is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with JTheque.  If not, see <http://www.gnu.org/licenses/>.
 */

import org.jtheque.core.managers.Managers;
import org.jtheque.core.managers.view.impl.actions.utils.AbstractBrowseAction;

import javax.swing.Action;
import javax.swing.KeyStroke;
import java.awt.Toolkit;
import java.awt.event.KeyEvent;

/**
 * Action to open the help.
 *
 * @author Baptiste Wicht
 */
public final class AcOpenHelp extends AbstractBrowseAction {
    private static final long serialVersionUID = -163510361075558672L;

    /**
     * Construct a new AcOpenHelp with a specific key.
     */
    public AcOpenHelp() {
        super("menu.help");

        putValue(Action.ACCELERATOR_KEY,
                KeyStroke.getKeyStroke(KeyEvent.VK_F1, Toolkit.getDefaultToolkit().getMenuShortcutKeyMask()));
    }

    @Override
    public String getUrl() {
        return Managers.getCore().getFiles().getOnlineHelpURL();
    }
}